#!/usr/bin/make -f

# enable verbose mode
export DH_VERBOSE=1

# enable all hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with autoreconf,systemd

override_dh_auto_configure:
	dh_auto_configure -- \
                --disable-dependency-tracking \
                --libdir=/usr/lib/lighttpd \
                --libexecdir="/usr/lib/lighttpd" \
                --with-attr \
                --with-fam \
                --with-gdbm \
                --with-krb5 \
                --with-ldap \
                --with-geoip \
                --with-memcached \
                --with-lua=lua5.1 \
                --with-mysql \
                --with-openssl \
                --with-pcre \
                --with-webdav-locks \
                --with-webdav-props \
                CFLAGS_FOR_BUILD="$(shell dpkg-buildflags --get CFLAGS)" \
                LDFLAGS_FOR_BUILD="$(shell dpkg-buildflags --get LDFLAGS)" \
                CPPFLAGS_FOR_BUILD="$(shell dpkg-buildflags --get CPPFLAGS)" \

override_dh_install:
	cp NEWS debian/tmp/changelog
	dh_install

override_dh_fixperms:
	dh_fixperms
	test -d debian/lighttpd && \
	    chmod 0750 debian/lighttpd/var/log/lighttpd && \
	    chown www-data:www-data \
	        debian/lighttpd/var/cache/lighttpd/compress \
	        debian/lighttpd/var/cache/lighttpd/uploads \
	        debian/lighttpd/var/log/lighttpd || true

override_dh_installinit:
	dh_installinit --error-handler=start_failed
